/***********************************************************************
 *
 * Copyright (C) 2003 Jan Fuchs
 *
 *              E-mail: fuky@seif.cz
 *                 Web: http://www.seif.cz
 *        Znakov sada: ISO-8859-2
 * Posledn modifikace: 23.11. 2003
 *
 *     Tento program je voln programov vybaven; mete jej it a
 * modifikovat podle ustanoven Obecn veejn licence GNU, vydvan
 * Free Software Foundation; a to bu verze 2 tto licence anebo
 * (podle vaeho uven) kterkoli pozdj verze.
 *
 *     Tento program je roziovn v nadji, e bude uiten, avak
 * BEZ JAKKOLI ZRUKY; neposkytuj se ani odvozen zruky PRODEJNOSTI
 * anebo VHODNOSTI PRO URIT EL.
 * Dal podrobnosti hledejte v Obecn veejn licenci GNU.
 *
 *    Kopii Obecn veejn licence GNU jste ml obdret spolu s tmto
 * programem; pokud se tak nestalo, napite o ni Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 ***********************************************************************/

#ifndef __MENU_H
#define __MENU_H

#define LOCAL_ESCAPE_KEY 27
#define LOCAL_ENTER_KEY  10
#define LOCAL_SPACE_KEY  32

/*
 * leve_window_ptr
 * HP - hrac plocha
 *
 * HP_STRED_X - S
 * HP_PRAVA_X - P
 * HP_DOLNI_Y - D
 *
 *    ------S-----P
 *    ------S-----P
 *    ------S-----P
 *    ------S-----P
 *    DDDDDD*DDDDD*
 */
#define HP_STRED_X ((COLS - 22) / 2)
#define HP_PRAVA_X (COLS - 23)
#define HP_DOLNI_Y (LINES - 2)

extern WINDOW *leve_window_ptr;
extern WINDOW *prave_window_ptr;
extern WINDOW *menu_window_ptr;

extern int HP_LINES;
extern int HP_COLS;
extern int prodleva;
extern char znak[2];

extern void nova_hra(void);
extern void ulozit(void);
extern void konec(void);
extern void kon_vel_obr(void);

#endif /* __MENU_H */
